Inhalte
Index 🔎︎

# Funktion CDate

Konvertiert Zeichenketten- oder numerische Ausdrücke in Datumswerte.

## Syntax:

    CDate (Ausdruck)

## Rückgabewert:

Datum

## Parameter:

Ausdruck: Ein beliebiger zu konvertierender numerischer oder Zeichenkettenausdruck.

Wenn Sie eine Zeichenkette konvertieren, müssen das Datum und die Zeit entweder in einer in den lokalen Einstellungen (unter Extras - Optionen... - Spracheinstellungen - Sprache) definierten Schreibweisen oder im ISO-Datumsformat (derzeit wird lediglich das ISO-Format mit Bindestrichen unterstützt, beispielsweise "2012-12-31") angegeben werden. In numerischen Ausdrücken stellen Werte links vom Kommata das Datum dar, beginnend mit dem 31. Dezember 1899. Werte rechts vom Kommata stellen die Zeit dar.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCDate
        MsgBox cDate(1000.25) ' 09.26.1902 06:00:00
        MsgBox cDate(1001.26) ' 09.27.1902 06:14:24
    End Sub